import java.io.IOException;
import java.net.ServerSocket;
import java.net.Socket;
import java.net.SocketTimeoutException;
import java.util.ArrayList;

public class Server {
    private static final int PORT = 4321;
    private ServerSocket serverSocket;
    private ArrayList<String> user;

    public Server() throws IOException {
        serverSocket = new ServerSocket(PORT);
        user = new ArrayList<>();
        serverSocket.setSoTimeout(1000);
    }

    public void run() {
        while (true) {
            try {
                System.out.println("Waiting for client on port " +
                        serverSocket.getLocalPort() + "...");
                Socket client = serverSocket.accept();
                ClientHandler clientHandler = new ClientHandler(client);
                client.close();

            } catch (SocketTimeoutException s) {
                System.out.println("Socket timed out!");
                break;
            } catch (IOException e) {
                e.printStackTrace();
                break;
            } catch (Exception e) {
                e.printStackTrace();
            }
        }

    }
}